import App from "./App";
import Vue from "vue";

// vuex
import store from "./store";

// 引入全局uView
import uView from "@/uni_modules/uview-ui";
//import pagejson from "@/pages.json"
Vue.use(uView);
uni.addInterceptor('navigateTo',{
	invoke(e){
		// uni.showModal({
		// 	content:"aaaaaaaa",
		// })
		//const pages = getCurrentPages(); // 获取当前页面栈
		//const currentPage = pages[pages.length - 1]; // 获取当前页面对象
		//console.log(currentPage.$page);
		//return true;
	},
	returnValue(e){
		// uni.showModal({
		// 	content:"sss",
		// })
		//console.log(JSON.stringify(e))
	}
});
uni.$u.setConfig({
	// 修改$u.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$u.config.unit = 'rpx'
		//unit: 'rpx'
	},
	// 修改$u.props对象的属性
	props: {
		// 修改radio组件的size参数的默认值，相当于执行 uni.$u.props.radio.size = 30
		radio: {
			size: 15
		},
		tabs:{
			lineColor:'#07c160'
		}
		// 其他组件属性配置
		// ......
	}
})
Vue.prototype.$store = store;

Vue.config.productionTip = false;
App.mpType = "app";
const app = new Vue({
	store,
	...App,
});

// 引入请求封装
import request from "./util/request/index";
request(app)
//require("./util/request/index")(app);

app.$mount();